Subject: Re: [PATCH net-next 0/7] net: Support Wake-on-LAN using filters

From: Andrew Lunn <[email-masked]>
Date: Tue, 17 Jul 2018 18:21:36 +0200

> >> ethtool -s gphy wol f filters 0x2
> > 
> > What does this 0x2 represent?
> 
> 0x2 = bit 1 is set, which corresponds to the filter ID that was returned
> from the previous ethtool::rxnfc command invocation. If ethtool
> --config-nfc returned 3, then we would have used filters 0x8, etc.

It would be a simpler for the user if you could pass the filter IDs as
a list, and let ethtool do the shift and OR.

  Andrew